@use './palette';

// Status colors states - focus; hover; default; active; disabled
$color-basic-focus: palette.$color-basic-400;
$color-basic-hover: palette.$color-basic-200;
$color-basic-default: palette.$color-basic-300;
$color-basic-active: palette.$color-basic-400;
$color-basic-disabled: palette.$color-basic-transparent-300;
$color-basic-focus-border: palette.$color-basic-500;
$color-basic-hover-border: $color-basic-hover;
$color-basic-default-border: $color-basic-default;
$color-basic-active-border: $color-basic-active;
$color-basic-disabled-border: $color-basic-disabled;
$color-basic-transparent-focus: palette.$color-basic-transparent-300;
$color-basic-transparent-hover: palette.$color-basic-transparent-200;
$color-basic-transparent-default: palette.$color-basic-transparent-100;
$color-basic-transparent-active: palette.$color-basic-transparent-300;
$color-basic-transparent-disabled: palette.$color-basic-transparent-200;
$color-basic-transparent-focus-border: palette.$color-basic-600;
$color-basic-transparent-hover-border: palette.$color-basic-600;
$color-basic-transparent-default-border: palette.$color-basic-600;
$color-basic-transparent-active-border: palette.$color-basic-600;
$color-basic-transparent-disabled-border: palette.$color-basic-transparent-300;
$color-primary-focus: palette.$color-primary-600;
$color-primary-hover: palette.$color-primary-400;
$color-primary-default: palette.$color-primary-500;
$color-primary-active: palette.$color-primary-600;
$color-primary-disabled: palette.$color-basic-transparent-300;
$color-primary-focus-border: palette.$color-primary-700;
$color-primary-hover-border: $color-primary-hover;
$color-primary-default-border: $color-primary-default;
$color-primary-active-border: $color-primary-active;
$color-primary-disabled-border: $color-primary-disabled;
$color-primary-transparent-focus: palette.$color-primary-transparent-300;
$color-primary-transparent-hover: palette.$color-primary-transparent-200;
$color-primary-transparent-default: palette.$color-primary-transparent-100;
$color-primary-transparent-active: palette.$color-primary-transparent-300;
$color-primary-transparent-disabled: palette.$color-basic-transparent-200;
$color-primary-transparent-focus-border: palette.$color-primary-500;
$color-primary-transparent-hover-border: palette.$color-primary-500;
$color-primary-transparent-default-border: palette.$color-primary-500;
$color-primary-transparent-active-border: palette.$color-primary-500;
$color-primary-transparent-disabled-border: palette.$color-basic-transparent-300;

$color-secondary-focus: palette.$color-secondary-600;
$color-secondary-hover: palette.$color-secondary-400;
$color-secondary-default: palette.$color-secondary-500;
$color-secondary-active: palette.$color-secondary-600;
$color-secondary-disabled: palette.$color-basic-transparent-300;
$color-secondary-focus-border: palette.$color-secondary-700;
$color-secondary-hover-border: $color-secondary-hover;
$color-secondary-default-border: $color-secondary-default;
$color-secondary-active-border: $color-secondary-active;
$color-secondary-disabled-border: $color-secondary-disabled;
$color-secondary-transparent-focus: palette.$color-secondary-transparent-300;
$color-secondary-transparent-hover: palette.$color-secondary-transparent-200;
$color-secondary-transparent-default: palette.$color-secondary-transparent-100;
$color-secondary-transparent-active: palette.$color-secondary-transparent-300;
$color-secondary-transparent-disabled: palette.$color-basic-transparent-200;
$color-secondary-transparent-focus-border: palette.$color-secondary-500;
$color-secondary-transparent-hover-border: palette.$color-secondary-500;
$color-secondary-transparent-default-border: palette.$color-secondary-500;
$color-secondary-transparent-active-border: palette.$color-secondary-500;
$color-secondary-transparent-disabled-border: palette.$color-basic-transparent-300;

$color-success-focus: palette.$color-success-600;
$color-success-hover: palette.$color-success-400;
$color-success-default: palette.$color-success-500;
$color-success-active: palette.$color-success-600;
$color-success-disabled: palette.$color-basic-transparent-300;
$color-success-focus-border: palette.$color-success-700;
$color-success-hover-border: $color-success-hover;
$color-success-default-border: $color-success-default;
$color-success-active-border: $color-success-active;
$color-success-disabled-border: $color-success-disabled;
$color-success-transparent-focus: palette.$color-success-transparent-300;
$color-success-transparent-focus-border: palette.$color-success-500;
$color-success-transparent-hover: palette.$color-success-transparent-200;
$color-success-transparent-hover-border: palette.$color-success-500;
$color-success-transparent-default: palette.$color-success-transparent-100;
$color-success-transparent-default-border: palette.$color-success-500;
$color-success-transparent-active: palette.$color-success-transparent-300;
$color-success-transparent-active-border: palette.$color-success-500;
$color-success-transparent-disabled: palette.$color-basic-transparent-200;
$color-success-transparent-disabled-border: palette.$color-basic-transparent-300;
$color-info-focus: palette.$color-info-600;
$color-info-hover: palette.$color-info-400;
$color-info-default: palette.$color-info-500;
$color-info-active: palette.$color-info-600;
$color-info-disabled: palette.$color-basic-transparent-300;
$color-info-focus-border: palette.$color-info-700;
$color-info-hover-border: $color-info-hover;
$color-info-default-border: $color-info-default;
$color-info-active-border: $color-info-active;
$color-info-disabled-border: $color-info-disabled;
$color-info-transparent-focus: palette.$color-info-transparent-300;
$color-info-transparent-hover: palette.$color-info-transparent-200;
$color-info-transparent-default: palette.$color-info-transparent-100;
$color-info-transparent-active: palette.$color-info-transparent-300;
$color-info-transparent-disabled: palette.$color-basic-transparent-200;
$color-info-transparent-focus-border: palette.$color-info-500;
$color-info-transparent-hover-border: palette.$color-info-500;
$color-info-transparent-default-border: palette.$color-info-500;
$color-info-transparent-active-border: palette.$color-info-500;
$color-info-transparent-disabled-border: palette.$color-basic-transparent-300;
$color-warning-focus: palette.$color-warning-600;
$color-warning-hover: palette.$color-warning-400;
$color-warning-default: palette.$color-warning-500;
$color-warning-active: palette.$color-warning-600;
$color-warning-disabled: palette.$color-basic-transparent-300;
$color-warning-focus-border: palette.$color-warning-700;
$color-warning-hover-border: $color-warning-hover;
$color-warning-default-border: $color-warning-default;
$color-warning-active-border: $color-warning-active;
$color-warning-disabled-border: $color-warning-disabled;
$color-warning-transparent-focus: palette.$color-warning-transparent-300;
$color-warning-transparent-hover: palette.$color-warning-transparent-200;
$color-warning-transparent-default: palette.$color-warning-transparent-100;
$color-warning-transparent-active: palette.$color-warning-transparent-300;
$color-warning-transparent-disabled: palette.$color-basic-transparent-200;
$color-warning-transparent-focus-border: palette.$color-warning-500;
$color-warning-transparent-hover-border: palette.$color-warning-500;
$color-warning-transparent-default-border: palette.$color-warning-500;
$color-warning-transparent-active-border: palette.$color-warning-500;
$color-warning-transparent-disabled-border: palette.$color-basic-transparent-300;
$color-danger-focus: palette.$color-danger-600;
$color-danger-hover: palette.$color-danger-400;
$color-danger-default: palette.$color-danger-500;
$color-danger-active: palette.$color-danger-600;
$color-danger-disabled: palette.$color-basic-transparent-300;
$color-danger-focus-border: palette.$color-danger-700;
$color-danger-hover-border: $color-danger-hover;
$color-danger-default-border: $color-danger-default;
$color-danger-active-border: $color-danger-active;
$color-danger-disabled-border: $color-danger-disabled;
$color-danger-transparent-focus: palette.$color-danger-transparent-300;
$color-danger-transparent-hover: palette.$color-danger-transparent-200;
$color-danger-transparent-default: palette.$color-danger-transparent-100;
$color-danger-transparent-active: palette.$color-danger-transparent-300;
$color-danger-transparent-disabled: palette.$color-basic-transparent-200;
$color-danger-transparent-focus-border: palette.$color-danger-500;
$color-danger-transparent-hover-border: palette.$color-danger-500;
$color-danger-transparent-default-border: palette.$color-danger-500;
$color-danger-transparent-active-border: palette.$color-danger-500;
$color-danger-transparent-disabled-border: palette.$color-basic-transparent-300;
$color-control-focus: palette.$color-basic-300;
$color-control-hover: palette.$color-basic-200;
$color-control-default: palette.$color-basic-100;
$color-control-active: palette.$color-basic-300;
$color-control-disabled: palette.$color-basic-transparent-300;
$color-control-focus-border: palette.$color-basic-500;
$color-control-hover-border: $color-control-hover;
$color-control-default-border: $color-control-default;
$color-control-active-border: $color-control-active;
$color-control-disabled-border: $color-control-disabled;
$color-control-transparent-focus: palette.$color-basic-control-transparent-300;
$color-control-transparent-hover: palette.$color-basic-control-transparent-200;
$color-control-transparent-default: palette.$color-basic-control-transparent-100;
$color-control-transparent-active: palette.$color-basic-control-transparent-300;
$color-control-transparent-disabled: palette.$color-basic-transparent-200;
$color-control-transparent-focus-border: palette.$color-basic-100;
$color-control-transparent-hover-border: palette.$color-basic-100;
$color-control-transparent-default-border: palette.$color-basic-100;
$color-control-transparent-active-border: palette.$color-basic-100;
$color-control-transparent-disabled-border: palette.$color-basic-transparent-300;
